*------------------------------------------------------------------------------
* Sets of indices


SET i items /i1*i5/;


*-----------------------------------------------------------------------------
* Parameters

PARAMETERS
benefit(i) benefit for each item /i1 3, i2 4, i3 5, i4 8,i5 10/
weights(i) cost for each item /i1 3, i2 3, i3 4, i4 5,i5 9/
capacity knapsack capacity /20/;


*------------------------------------------------------------------------------
* Decision variables

Integer Variables x(i);
Variables obj;
*n is VaR, ov is CVaR
*------------------------------------------------------------------------------
* Equations

EQUATIONS        TotBenefit,
                 budget,
                 constraints34;

TotBenefit..             obj =e= sum(i, benefit(i)*x(i));
budget..                 sum(i,weights(i)*x(i)) =l= capacity;
constraints34..          x('i3') =g= x('i4');

*------------------------------------------------------------------------------
* Model declaration

MODEL KnapsackMax /all/ ;


SOLVE  KnapsackMax maximizing obj using mip;

